# xoxys.iptables
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.iptables/status.svg)](https://drone.rknet.org/ansible/xoxys.iptables)


Rule to manage iptables

## Table of content

* [Default Variables](#default-variables)
  * [iptables_default_head](#iptables_default_head)
  * [iptables_default_tail](#iptables_default_tail)
  * [iptables_custom_rules](#iptables_custom_rules)
  * [iptables_app_rules](#iptables_app_rules)
  * [iptables_app_rules_extra](#iptables_app_rules_extra)
  * [iptables_keep_unmanaged](#iptables_keep_unmanaged)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### iptables_default_head

Default head (allow) rules.

#### Default value

```YAML
iptables_default_head: "-P INPUT ACCEPT\n-P FORWARD ACCEPT\n-P OUTPUT ACCEPT\n-A INPUT\
  \ -m state --state RELATED,ESTABLISHED -j ACCEPT\n-A INPUT -i lo -j ACCEPT\n-A INPUT\
  \ -p icmp --icmp-type echo-request -j ACCEPT\n-A INPUT -p tcp -m tcp --dport 22\
  \ -j ACCEPT\n"
```

### iptables_default_tail

Default tail (deny) rules.

#### Default value

```YAML
iptables_default_tail: "-A INPUT -j REJECT\n-A FORWARD -j REJECT\n"
```

### iptables_custom_rules

#### Default value

```YAML
iptables_custom_rules: []
```

### iptables_app_rules

#### Default value

```YAML
iptables_app_rules: []
```

### iptables_app_rules_extra

#### Default value

```YAML
iptables_app_rules_extra: []
```

### iptables_keep_unmanaged

By default this role deletes all iptables rules which are not managed by Ansible. Set this to 'yes', if you want the role to keep unmanaged rules.

#### Default value

```YAML
iptables_keep_unmanaged: no
```

## Dependencies

None.

## License

MIT

## Author

xoxys
